#include "clock.h"

timePoint HomeMadeclock::now()
{
	return  std::chrono::high_resolution_clock::now();
}

double HomeMadeclock::seconds(timePoint t1, timePoint t2)
{
	std::chrono::duration<double> elapsed_seconds = t2 - t1;
	return elapsed_seconds.count();
}

double HomeMadeclock::milliSeconds(timePoint t1, timePoint t2)
{
	std::chrono::duration<double, std::ratio<1, 1000>> elapsed_seconds = t2 - t1;
	return elapsed_seconds.count();
}